Subject: [aqm] AQM and ECN in draft-ietf-aqm-recommendation-11

From: Mirja Kühlewind <[email-masked]>
Date: Thu, 23 Apr 2015 13:19:25 +0200

Hi all,

I know I'm too late for this but want to bring it up anyway:

draft-ietf-aqm-recommendation-11 currently says:
"An AQM algorithm that supports ECN needs to define the threshold and
    algorithm for ECN-marking.  This threshold MAY differ from that used
    for dropping packets that are not marked as ECN-capable, and SHOULD
    be configurable."

But I think it should be:
"An AQM algorithm that supports ECN needs to define the parameters and
    algorithm for ECN-marking.  These parameters MAY differ from that used
    for dropping packets that are not marked as ECN-capable, and SHOULD
    be configurable."

so just s/threshold/parameters/  ...?

I've just caught this now because I'm reading draft-welzl-ecn-benefits-02; 
sorry. Maybe it's still possible to make such a small edit... if other people 
think as well that this should be changed...?

Mirja

---

From: Mirja Kühlewind <[email-masked]>
Date: Thu, 23 Apr 2015 13:56:59 +0200

Hi again,

I still know I'm late but there are two more points:

draft-welzl-ecn-benefits-02 says:
"Network devices must not drop
    packets solely because these codepoints are used [RFC2309.bis]"
and
"A network device should therefore not
    remark an ECT(0) or ECT(1) mark to zero [RFC2309.bis]."

I could not find this recommendation in draft-ietf-aqm-recommendation-11, at 
least not in the section 4.2.1 (AQM and ECN), but it should be in there (and 
should actually say: a network device MUST NOT remark, ECT(0), ETC(1) or CE to 
zero)...?

Mirja

On 23.04.2015 13:19, Mirja Kühlewind wrote:
> _______________________________________________
> aqm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/aqm
>

-- 
------------------------------------------
Dipl.-Ing. Mirja Kühlewind
Communication Systems Group
Institute TIK, ETH Zürich
Gloriastrasse 35, 8092 Zürich, Switzerland

Room ETZ G93
phone: +41 44 63 26932
email: [email-masked]
------------------------------------------

---

From: Mirja Kühlewind <[email-masked]>
Date: Thu, 23 Apr 2015 16:15:47 +0200

I meant draft-ietf-aqm-ecn-benefits-03 (not draft-welzl-ecn-benefits-02) though...

Room ETZ G93
phone: +41 44 63 26932

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Thu, 23 Apr 2015 15:07:12 +0000

Bob/Gorry:

Didn’t we have essentially the same comment a week or two ago? What was our resolution?

I think it was a minor rewording that included a little more than s/threshold/parameters/, and which I worried was heading in the direction of a much bigger question - "what parameters".

Fred

> On Apr 23, 2015, at 4:19 AM, Mirja Kühlewind <[email-masked]> wrote:
> 
> Hi all,
> 
> I've just caught this now because I'm reading draft-welzl-ecn-benefits-02; sorry. Maybe it's still possible to make such a small edit... if other people think as well that this should be changed...?
> 
> Mirja
> 
>

---

From: Gorry Fairhurst <[email-masked]>
Date: Mon, 27 Apr 2015 12:10:21 +0100

On 23/04/2015 12:19, Mirja Kühlewind wrote:
> I've just caught this now because I'm reading
> draft-welzl-ecn-benefits-02; sorry. Maybe it's still possible to make
> such a small edit... if other people think as well that this should be
> changed...?
>
> Mirja
>
>

We are indeed considering one very minor change to the wording here to 
prevent future confusion. Once we have text, we'll share with the WG to 
be sure this is acceptable.

Gorry & Fred

---

From: Gorry Fairhurst <[email-masked]>
Date: Mon, 27 Apr 2015 12:11:04 +0100

The present text is intentionally descriptive only, and ties-in with the 
bleaching text. I personally think this deployment advice is consistent 
with the intention of the AQM recomemndations, but I agree it is not 
specifically called-out in RFC2309.bis, and this reference therefore 
really needs to be removed in the next rev.

This is not the place to make a BCP recommendation.  If "we" get a 
chance, I also think the IETF should assert this using RFC2119 language 
in an appropriate future document.

Gorry

>> should actually say: a network device MUST NOT remark, ECT(0), ETC(1)
<snip>